
/***************** DEFINE A821 RELATIVE ADDRESS *****************/
#define   TIMER0	   0x00
#define   TIMER1	   0x01
#define   TIMER2	   0x02
#define   TIMER_MODE	   0x03
#define   AD_LO 	   0x04    /* Analog to Digital, Low Byte */
#define   AD_HI 	   0x05    /* Analog to Digital, High Byte */
#define   DA_CH0_LO	   0x04    /* Digit to Analog, CH 0 */
#define   DA_CH0_HI	   0x05
#define   DA_CH1_LO	   0x06    /* Digit to Analog, CH 1 */
#define   DA_CH1_HI	   0x07
#define   DIGITIN_LO	   0x06    /* Digit Input */
#define   DIGITIN_HI	   0x07
#define   DIGITOUT_LO	   0x0D    /* Digit Output */
#define   DIGITOUT_HI	   0x0E

#define   CLEAR_IRQ	   0x08
#define   SET_GAIN	   0x09
#define   SET_CH	   0x0A
#define   SET_MODE	   0x0B
#define   SOFT_TRIG	   0x0C

#define   POLLING_MODE	   1
#define   INTERRUPT_MODE   6

/*** define the gain mode ***/
#define   A821_BI_1	   0
#define   A821_BI_10	   1
#define   A821_BI_100	   2
#define   A821_BI_1000	   3
#define   A821_UNI_1	   4
#define   A821_UNI_10	   5
#define   A821_UNI_100	   6
#define   A821_UNI_1000    7
#define   A821_BI_05	   8
#define   A821_BI_5	   9
#define   A821_BI_50	  10
#define   A821_BI_500	  11

#define   A821_BI_2	   1
#define   A821_BI_4	   2
#define   A821_BI_8	   3
#define   A821_UNI_2	   5
#define   A821_UNI_4	   6
#define   A821_UNI_8	   7

/************ define the error number ***********/

#define   NoError	   0
#define   CheckBoardError  1
#define   CheckIrqError    3
#define   CardNumError	   4
#define   DelayError	   6


/************* ioctl() calls *********************/

#define ADC_SET_GAIN	   1
#define ADC_GET_GAIN	   2
#define MODE_SET	0x07

