/*
 * Copyright (C) 1995  Sam Moore, Warren Jasper
 * All rights reserved.
 * Modified by Tim Edwards, April, 1997 for CIO-DIO48 board
 *
 * This software may be freely copied, modified, and redistributed
 * provided that this copyright notice is preserved on all copies.
 *
 * You may not distribute this software, in whole or in part, as part of
 * any commercial product without the express consent of the authors.
 *
 * There is no warranty or other guarantee of fitness of this software
 * for any purpose.  It is provided solely "as is".
 *
 * Modified by Sergiy Kovtun,1999 for A821PGH card
 */

/***************************************************************************
 *
 *  dactest.c
 *
 *  This program is used to test ADC of a821PGH
 *  Linux loadable module (adc).
 *
 ***************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include "../a821.h"

/***************************************************************************
 *
 *  Global Data
 *
 ***************************************************************************/

#define LONG unsigned long
#define BYTE unsigned char

char *DevName[8] = {"/dev/adc0","/dev/adc1","/dev/adc2","/dev/adc3",
                    "/dev/adc4","/dev/adc5","/dev/adc6","/dev/adc7"};

/***************************************************************************
 *
 *  Main
 *
 ***************************************************************************/

int main(int argc, char **argv)
{
  int   k;
  int	fd[8];
  int  dataval[8];
  
  /* Open the device file for the counter */
  
  for ( k = 0; k <=7; k++) {
    if ((fd[k] = open(DevName[k], O_RDWR)) < 0) {
       printf("Error opening a821PGH ADC device\n");
       exit(2);
      }
     ioctl (fd[k],ADC_SET_GAIN,A821_BI_1);
     printf("Channel %d set to gain +/-5 V \n",k);
     dataval[k] = 0x0000; 
    }  
  
    
  for (;;) {
    for  ( k = 0; k <= 7; k++) {
    
    if (read(fd[k], &dataval[k],2) != 2 ) {
      printf("main() in adctest.c: error on read.\n");
      exit(1);
      }
    printf("%5.4f",(dataval[k]-2048)*5.0/2048.0);  
    }
    printf("\n");  
    sleep(1);     
  }
  
  for ( k = 0; k <= 7; k++) {
      close(fd[k]);
    }

return 0;

}
	
/* end of DAC test  */