/*
 * Copyright (C) 1995  Sam Moore, Warren Jasper
 * All rights reserved.
 * Modified by Tim Edwards, April, 1997 for CIO-DIO48 board
 *
 * This software may be freely copied, modified, and redistributed
 * provided that this copyright notice is preserved on all copies.
 *
 * You may not distribute this software, in whole or in part, as part of
 * any commercial product without the express consent of the authors.
 *
 * There is no warranty or other guarantee of fitness of this software
 * for any purpose.  It is provided solely "as is".
 *
 * Modified by Sergiy Kovtun,1999 for A821PGH card (DAC part)
 */

/***************************************************************************
 *
 *  dactest.c
 *
 *  This program is used to test DAC of a821PGH
 *  Linux loadable module (adc).
 *
 ***************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include "../a821.h"

/***************************************************************************
 *
 *  Global Data
 *
 ***************************************************************************/

#define LONG unsigned long
#define BYTE unsigned char

char *DevName = "/dev/adc8";

/***************************************************************************
 *
 *  Main
 *
 ***************************************************************************/

int main(int argc, char **argv)
{
  int	fd;
  long  dataval;
  
  /* Open the device file for the counter */

  if ((fd = open("/dev/adc8", O_WRONLY)) < 0) {
    printf("Error opening a821PGH DAC device\n");
    exit(2);
  }
  dataval = (LONG)0x0000;
  
  for (;;) {
    if (dataval <= 0) {dataval = 0x0ffe;}
       else { dataval = 0;}
    if (write(fd, &dataval, 2) != 2 ) {
      printf("main() in dactest.c: error on write.\n");
      exit(1);
      }
    usleep(1000);     
  }
  close(fd);
  return 0;
}
	
/* end of DAC test  */