/*
 * Copyright (C) 1995  Sam Moore, Warren Jasper
 * All rights reserved.
 * Modified by Tim Edwards, April, 1997 for CIO-DIO48 board
 *
 * This software may be freely copied, modified, and redistributed
 * provided that this copyright notice is preserved on all copies.
 *
 * You may not distribute this software, in whole or in part, as part of
 * any commercial product without the express consent of the authors.
 *
 * There is no warranty or other guarantee of fitness of this software
 * for any purpose.  It is provided solely "as is".
 *
 *  Modified by Sergiy Kovtun for A821PGH card, 1999
 */

/***************************************************************************
 *
 *  diotest.c
 *
 *  This program is used to test the A821PGH
 *  Linux loadable module (adc).
 *
 ***************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include "../a821.h"

/***************************************************************************
 *
 *  Global Data
 *
 ***************************************************************************/

#define LONG unsigned long
#define BYTE unsigned char

char *DevName = "/dev/adc9";

/***************************************************************************
 *
 *  Main
 *
 ***************************************************************************/

int main(int argc, char **argv)
{
  int	fd;
  int   dataval;
  int   rval;

  /* Open the device file for the counter */

  if ((fd = open("/dev/adc9", O_RDWR)) < 0) {
    printf("error opening A821 DIO device\n");
    exit(2);
  }

  printf("sleep before read\n");
  sleep(1);
  
  /* infinite loop; stop by exiting program */

  for (;;) {
    dataval = 0xffff;
    if (write(fd, &dataval, 2) != 2 ) {
      printf("main() in diotest.c: error on write.\n");
      exit(1);
    }
    if ((rval = read(fd, &dataval, 2)) != 2 ) {
      printf("main() in diotest.c: error on readback.\n");
      printf("   read() returned %d, expected 2\n", rval); 
      exit(1);
    }
    else printf("Data expected: 0xffff, Data read: %x\n", dataval);
    sleep(5);
    dataval = 0x0000;
    if (write(fd, &dataval, 2) != 2 ) {
      printf("main() in diotest.c: error on write.\n");
      exit(1);
    }
    if (read(fd, &dataval, 2) != 2 ) {
      printf("main() in diotest.c: error on readback.\n");
      exit(1);
    }
    else printf("Data expected: 0x0000, Data read: %x\n", dataval);
    sleep(5);
  }

  close(fd);
  return 0;
}
	
